Canalplan Bug Tracker



Anonymous Login
2019-02-21 19:01 GMT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000536Canalplan [All Projects] Bugpublic2019-01-31 19:27
ReporterStephen Atty 
Assigned ToNick Atty 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformGenericOSN/AOS VersionN/A
Product VersionProduct Build 
Target VersionFixed in Version 
Summary0000536: Added a place - can't find it.
DescriptionI added Weston Marsh Side Lock to the system.

It is there

https://canalplan.org.uk/place/cj9x

But you can't find it - match.cgi doesn't list it in its matches for Weston
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0002035

Stephen Atty (administrator)

the match.cgi for Weston produces:

Weston Arm
Weston Arm Junction
Weston Arm Services (C&RT)
Weston Branch
Weston Branch Junction
Weston Bridge Aqueduct
Weston Bridge No 80
Weston Cliffe Bridge No 10
Weston Favell Flood Gates
Weston Favell Lock No 4
Weston Favell Lock Weir Entrance No 1
Weston Favell Lock Weir Entrance No 2
Weston Favell Lock Weir Exit No 1
Weston Favell Lock Weir Exit No 2
Weston Hall Bridge No 64
Weston Lock Bridge No 8
Weston Lock No 24
Weston Lock No 4
Weston Lock No 6
Weston Lock Weir Entrance
Weston Lock Weir Exit
Weston Marsh Lock Line
Weston Mersey
Weston Point Docks
Weston Point Salt Works (ICI)
Weston Railway Bridge No 7A
Weston Salt Works Arm
Head of Weston Marsh Side Lock
ICI Weston Works
Original Junction with the Runcorn and Weston Canal
Runcorn and Weston Canal
Runcorn and Weston Canal Junction
Runcorn and Weston Lock 2
Runcorn and Weston Lock No 1

~0002036

Shultzy (updater)

Regenerating the database has created the match.

~0002037

Stephen Atty (administrator)

So it has - but I wonder why it didn't re-generate.

~0002038

Nick Atty (administrator)

Last edited: 2019-01-18 20:36

View 2 revisions

When you add a place the "names" table should have a new entry added.

Regenerate - as well as constructing the nomarker_place and _link tables rebuilds the whole names table as well, which is why it fixed it.

It looks as though the line is actually missing from create place - although other ways to create places (like out of marker places) work. I'll copy the line into the right place.

~0002039

Stephen Atty (administrator)

Odd thing was that it synced across the canalplan places table that I hold in MySQL so it was in the database immediately after I'd added it.

~0002042

Peter Stockdale (reporter)

Add a place(between two marker places) function still not working for me (:-( Get message "Error: Syntax error in 194 of activity_log.can
SQLdb 'BEGIN EXCLUSIVE TRANSACTION'
sql.c:60::SQL error: database is locked in 'BEGIN EXCLUSIVE TRANSACTION'" -- Pete

~0002043

Stephen Atty (administrator)

That's really a different issue Pete.

~0002044

Nick Atty (administrator)

That's a different error entirely! (It's also almost certainly something that will go away if you try again - I've just done a tidy up of the database to try to reduce the locking errors).

~0002045

Nick Atty (administrator)

The places table worked fine, but to make things easier for the match code there is a combined "names" table which holds places, waterways, features and - IIRC - areas all mixed up together. That is the bit that was missing the update line (and still is until I get round to the next release, which relies on me finishing something in pre-calculating waterway boundaries and subparts that is driving me insane).

~0002048

Peter Stockdale (reporter)

Well - Nick - I did try it yesterday as well, and got a similar response to my attempt today. I will now give it "go" three (:-) Many thanks.

~0002049

Peter Stockdale (reporter)

Fine now - thanks Nick. I will probably have to fine tune the position but it is now there in principle.
+Notes

-Issue History
Date Modified Username Field Change
2019-01-18 12:57 Stephen Atty New Issue
2019-01-18 12:57 Stephen Atty Status new => assigned
2019-01-18 12:57 Stephen Atty Assigned To => Nick Atty
2019-01-18 12:59 Stephen Atty Note Added: 0002035
2019-01-18 13:11 Shultzy Note Added: 0002036
2019-01-18 17:28 Stephen Atty Note Added: 0002037
2019-01-18 20:34 Nick Atty Note Added: 0002038
2019-01-18 20:36 Nick Atty Note Edited: 0002038 View Revisions
2019-01-18 21:01 Stephen Atty Note Added: 0002039
2019-01-20 15:12 Peter Stockdale Note Added: 0002042
2019-01-20 15:20 Stephen Atty Note Added: 0002043
2019-01-20 15:21 Nick Atty Note Added: 0002044
2019-01-20 15:23 Nick Atty Note Added: 0002045
2019-01-20 16:19 Peter Stockdale Note Added: 0002048
2019-01-20 16:31 Peter Stockdale Note Added: 0002049
2019-01-31 19:27 Stephen Atty Status assigned => resolved
2019-01-31 19:27 Stephen Atty Resolution open => fixed
+Issue History